Summary: A real-time data compression library
%define major 1
%define minor 06
Name: lzo
Version: 1.06
Release: 3
Source: http://wildsau.idv.uni-linz.ac.at/mfx/download/lzo/lzo-%{version}.tar.gz
Copyright: See COPYING in the doc section
Group: System Environment/Libraries
URL: http://wildsau.idv.uni-linz.ac.at/mfx/lzo.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and very fast decompression.
Decompression requires no memory.

In addition there are slower compression levels achieving a quite
competitive compression ratio while still decompressing at
this very high speed.

%package devel
Summary: Libraries and header files for programs that use lzo
Group: Development/Libraries
Requires: lzo = %{version}

%description devel
Static libraries and header files for liblzo, which are available as public
libraries.

%prep
%setup -q

%build
perl -pi -e "s, ltest , ,g" Makefile*
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

( cd $RPM_BUILD_ROOT/usr/lib
  ln -sf liblzo.so.1.0.0 liblzo.so
  ln -sf liblzo.so.1.0.0 liblzo.so.1
  chmod +x liblzo.so.1.0.0
)

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig 

%files
%defattr(-,root,root)
/usr/lib/lib*.so.*

%doc README NEWS AUTHORS COPYING NEWS ChangeLog BUGS THANKS doc/*

%files devel
%defattr(-,root,root)
/usr/include/lzo*.h
/usr/lib/liblzo.a
/usr/lib/liblzo.la
/usr/lib/liblzo.so

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt
- use rpm macros

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial build for Powertools 7.0 (needed by dxpc 3.8.0)
- fix some spec file braindamage
- 1.06

* Wed Sep 29 1999 Stefano Santoro <stefano@santoro.org>
- first attempt
